Bug 74840 - Sony CDRW CRX195A1 causes system instability after burning cd
Sony CDRW CRX195A1 causes system instability after burning cd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-01 22:33 EDT by Jonathan Schatz
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Schatz 2002-10-01 22:33:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
First, it appears that this drive worked fine under rh7.3:

http://www.linuxjournal.com/article.php?sid=6346

I can't verify this, but i do know that under 8.0 problems arise. When i play
cd's (or read data cd's) everything works fine. i can mount/unmount/eject with
ease. After I burn a cd, i get lots of errors in /var/log/messages and i can no
longer use my cd drive.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Sony CRX195A1 as the master on the secondary ide channel (/dev/hdc)
2. Add the following entries to /etc/modules.conf:
options ide-cd ignore=hdc 
alias scd0 sr_mod
pre-install sg modprobe ide-scsi
pre-install sr_mod modprobe ide-scsi
pre-install ide-scsi modprobe ide-cd
3. Add "hdc=ide-scsi" to the kernel command line
4. Burn CD (cdrecord -v speed=40 dev=0,0,0 -data foo.iso)
5. Eject CD (eject). 
	

Actual Results:  first, eject hangs. then /var/log/messages starts filling up.
and the cdrom tray won't close after the eject. here's what the kernel thinks:

Oct  1 19:20:47 jonschatz-lx kernel: ide-scsi: The scsi wants to send us more
data than expected - discarding data
Oct  1 19:20:47 jonschatz-lx kernel: ide-scsi: transferred 1 of 2 bytes
Oct  1 19:20:47 jonschatz-lx kernel: ide-scsi: The scsi wants to send us more
data than expected - discarding data
Oct  1 19:20:47 jonschatz-lx kernel: ide-scsi: transferred 1 of 2 bytes
Oct  1 19:20:47 jonschatz-lx kernel: cdrom: This disc doesn't have any tracks I
recognize!
Oct  1 19:21:35 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2966, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:21:41 jonschatz-lx kernel: hdc: irq timeout: status=0xd0 { Busy }
Oct  1 19:21:41 jonschatz-lx kernel: hdc: DMA disabled
Oct  1 19:21:41 jonschatz-lx kernel: hdc: ATAPI reset complete
Oct  1 19:21:41 jonschatz-lx kernel: hdc: irq timeout: status=0xc0 { Busy }
Oct  1 19:21:41 jonschatz-lx kernel: hdc: ATAPI reset complete
Oct  1 19:21:46 jonschatz-lx kernel: hdc: irq timeout: status=0xc0 { Busy }
Oct  1 19:22:04 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:14 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:14 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:14 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:14 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:14 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:14 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:15 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:15 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:15 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:15 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:15 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:15 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:16 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:16 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:16 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:16 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:16 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:16 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:17 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:17 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:17 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:17 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:17 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:17 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:18 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:18 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:18 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:18 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:18 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:18 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:19 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:19 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:19 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:19 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:19 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:19 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:20 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:20 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:20 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:20 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:20 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:20 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:21 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:21 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:21 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:21 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:21 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:21 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:22 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:22 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:22 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:22 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:22 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:22 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:23 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2997, scsi0, channel 0, id 0, lun 0 Start/Stop Unit 00 00 00 02 00
Oct  1 19:22:23 jonschatz-lx kernel: hdc: irq timeout: status=0xd0 { Busy }
Oct  1 19:22:23 jonschatz-lx kernel: hdc: ATAPI reset complete
Oct  1 19:22:24 jonschatz-lx kernel: hdc: irq timeout: status=0xd0 { Busy }
Oct  1 19:22:24 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 2998, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  1 19:22:24 jonschatz-lx kernel: SCSI host 0 abort (pid 2998) timed out -
resetting
Oct  1 19:22:24 jonschatz-lx kernel: SCSI bus is being reset for host 0 channel
0.
Oct  1 19:22:24 jonschatz-lx kernel: hdc: ATAPI reset complete


Expected Results:  eject shouldn't have hung, and my cdrom tray should close.
also, my system shouldn't randomly lock up following this error.

Additional info:

dell gx240 p4 1.8ghz 
1 gig ram
ide_setup: hdc=ide-scsi
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
hda: MAXTOR 6L080J4, ATA DISK drive
hdb: IC35L120AVVA07-0, ATA DISK drive
hdc: SONY CD-RW CRX195E1, ATAPI CD/DVD-ROM drive
Comment 1 Jonathan Schatz 2002-10-02 18:27:25 EDT
I can confirm that this is a bug with kernel-2.4.18-14 . i compiled my own
2.4.19 kernel, and everything worked fine. i used the same modules.conf and the
same command line. here's what /var/log/messages has to say:

Oct  2 15:16:47 jonschatz-lx kernel: sr0: scsi3-mmc drive: 40x/40x writer cd/rw
xa/form2 cdda tray
Oct  2 15:16:47 jonschatz-lx kernel: Uniform CD-ROM driver Revision: 3.12
Oct  2 15:17:09 jonschatz-lx modprobe: modprobe: Can't locate module char-major-97
Oct  2 15:17:09 jonschatz-lx last message repeated 3 times
Oct  2 15:18:23 jonschatz-lx kernel: cdrom: This disc doesn't have any tracks I
recognize!
Oct  2 15:18:28 jonschatz-lx sshd(pam_unix)[2100]: session opened for user root
by (uid=0)
Oct  2 15:18:31 jonschatz-lx sshd(pam_unix)[2100]: session closed for user root
Oct  2 15:19:51 jonschatz-lx kernel: ide-scsi: The scsi wants to send us more
data than expected - discarding data
Oct  2 15:19:51 jonschatz-lx kernel: ide-scsi: transferred 1 of 2 bytes
Oct  2 15:19:51 jonschatz-lx kernel: ide-scsi: The scsi wants to send us more
data than expected - discarding data
Oct  2 15:19:51 jonschatz-lx kernel: ide-scsi: transferred 1 of 2 bytes
Oct  2 15:22:57 jonschatz-lx kernel: scsi : aborting command due to timeout :
pid 12458, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct  2 15:24:02 jonschatz-lx kernel: ide-scsi: The scsi wants to send us more
data than expected - discarding data
Oct  2 15:24:02 jonschatz-lx kernel: ide-scsi: transferred 1 of 2 bytes
Oct  2 15:24:02 jonschatz-lx kernel: ide-scsi: The scsi wants to send us more
data than expected - discarding data
Oct  2 15:24:02 jonschatz-lx kernel: ide-scsi: transferred 1 of 2 bytes
Oct  2 15:24:02 jonschatz-lx kernel: cdrom: This disc doesn't have any tracks I
recognize!
Comment 2 Thomas M Steenholdt 2002-10-10 03:00:13 EDT
I'm having similar problems with a TEAC CD-W516EC, and if I recal correctly, one
of Alan's patches had a fix for this at some point (ide-scsi fix) and I tested
it at that point and found it to be working... Of course I can't seem to find
which version that was :-( I'm trying the latest 2.4.20-pre and/or the latest
2.4.20-pre-ac now (i have some other problems as well, but i'll let you know how
that goes!
Comment 3 Jonathan Schatz 2002-10-23 16:49:35 EDT
i upgraded to the 2.4.18-17.8.0 rpm, and i've successfully burned 4 cd's in a
row  without issue. looks like the kernel update fixed it.
Comment 4 Jonathan Schatz 2002-10-23 16:51:50 EDT
ok, i totally lied. as i was submitting this comment, my machine got hosed
again. here's the dmesg output:
cdrom: This disc doesn't have any tracks I recognize!
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: transferred 1 of 2 bytes
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: transferred 1 of 2 bytes
scsi : aborting command due to timeout : pid 14253, scsi0, channel 0, id 1, lun
0 Prevent/Allow Medium Removal 00 00 00 00 00
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
cdrom: This disc doesn't have any tracks I recognize!
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: transferred 1 of 2 bytes
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: transferred 1 of 2 bytes
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: transferred 1 of 2 bytes
ide-scsi: The scsi wants to send us more data than expected - discarding data
ide-scsi: transferred 1 of 2 bytes
cdrom: This disc doesn't have any tracks I recognize!
scsi : aborting command due to timeout : pid 47835, scsi0, channel 0, id 0, lun
0 Test Unit Ready 00 00 00 00 00
hdc: irq timeout: status=0xd0 { Busy }
hdc: DMA disabled
hdc: ATAPI reset complete
hdc: irq timeout: status=0xc0 { Busy }
hdc: ATAPI reset complete
hdc: irq timeout: status=0xc0 { Busy }
scsi : aborting command due to timeout : pid 49304, scsi0, channel 0, id 0, lun
0 Test Unit Ready 00 00 00 00 00
scsi : aborting command due to timeout : pid 49304, scsi0, channel 0, id 0, lun
0 Test Unit Ready 00 00 00 00 00
SCSI host 0 abort (pid 49304) timed out - resetting
SCSI bus is being reset for host 0 channel 0.
scsi : aborting command due to timeout : pid 49304, scsi0, channel 0, id 0, lun
0 Test Unit Ready 00 00 00 00 00
SCSI host 0 abort (pid 49304) timed out - resetting
SCSI bus is being reset for host 0 channel 0.
scsi : aborting command due to timeout : pid 49304, scsi0, channel 0, id 0, lun
0 Test Unit Ready 00 00 00 00 00
SCSI host 0 abort (pid 49304) timed out - resetting
SCSI bus is being reset for host 0 channel 0.
scsi : aborting command due to timeout : pid 49304, scsi0, channel 0, id 0, lun
0 Test Unit Ready 00 00 00 00 00
SCSI host 0 abort (pid 49304) timed out - resetting
SCSI bus is being reset for host 0 channel 0.
scsi : aborting command due to timeout : pid 49304, scsi0, channel 0, id 0, lun
0 Test Unit Ready 00 00 00 00 00
SCSI host 0 abort (pid 49304) timed out - resetting
SCSI bus is being reset for host 0 channel 0.
scsi : aborting command due to timeout : pid 49304, scsi0, channel 0, id 0, lun
0 Test Unit Ready 00 00 00 00 00
SCSI host 0 abort (pid 49304) timed out - resetting
SCSI bus is being reset for host 0 channel 0.

i'm going back to my custom kernel.
Comment 5 Paul 2003-02-20 10:18:51 EST
This looks similar to my problem with the kernel included in RH 8.0.  
Previously on RH 7.3 my SONY CRX1611 CDRW worked fine through ide-scsi.
Installing RH8.0 worked fine, so whatever system is running during
installation had no troubles reading the CDs.

As soon as the installed RH8 system attempts to mount a CD, it gets a kernel 
panic in idescsi_pc_intr.  Removing ide-scsi by taking the "hdc=ide-scsi"
off the kernel boot command in grub.conf makes this problem go away as
the CD is being accessed in plain IDE mode.  But this does not help
cdrecord which wants SCSI access.

Since I have a 2.4.20 kernel source kit at hand it looks like I should
try that.  But I find it difficult to believe that RH would have shipped a 
product that could not mount a CD.
Comment 6 Paul 2003-02-21 11:05:57 EST
Kernel 2.4.20 did not help in my case. Final error is no longer in ide-scsi,
which is some difference, but the original error turns out to be a "timeout
waiting for DMA".

Comment 7 Paul 2003-03-07 15:57:14 EST
Log shows repeated "dma timeout" errors before the system hangs.  RH 7.3
installed out of the box supports this Sony IDE CDRW drive perfectly.  RH 8.0
out of the box does not support it at all.  The RedHat Hardware compatibility
database lists *no* supported IDE CDRW drives that I can find.  Since it works
in RH7.3 and not in RH8.0, all else being the same, my only conclusion is that
they broke it.
Comment 8 Bugzilla owner 2004-09-30 11:39:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.